import { AfterViewInit, OnInit, QueryList } from '@angular/core';
import { TabsTabComponent } from './tabs-tab/tabs-tab.component';
import { TabComponent } from './tab/tab.component';
import * as i0 from "@angular/core";
export declare class TabsComponent implements OnInit, AfterViewInit {
    tabs: QueryList<TabComponent>;
    controls: QueryList<TabsTabComponent>;
    activeIndex: number;
    private keyManager;
    constructor();
    get activeTab(): TabComponent;
    set activeTab(tab: TabComponent);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onKeydown(event: any): void;
    select(tab: TabComponent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabsComponent, "ui-tabs", never, { "activeIndex": "activeIndex"; }, {}, ["tabs"], never>;
}
